Bug 478276 - FEATURE: Virtual Static Group
FEATURE: Virtual Static Group
Status: NEW
Product: penrose
Classification: Retired
Component: Configuration (Show other bugs)
3.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 480246
  Show dependency treegraph
 
Reported: 2008-12-27 03:13 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:13:51 EST
Converting DS Dynamic Group into Looking like Static Group in Virtual Directory

 new grouping mechanism called virtual static groups. A virtual static group appears and behaves like a static group to external clients, except that each member is represented by a virtual attribute that defines its membership on the fly from another dynamic group. Virtual static groups provide an efficient way to manage large numbers of entries and scalability issues for clients that only support static groups.

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Configuration',
                              'id' => '10014'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-311',
          'assignee' => 'jimyang',
          'summary' => 'Virtual Static Group',
          'id' => '11033',
          'updated' => '2008-08-12 16:37:07.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [],
          'description' => 'Converting DS Dynamic Group into Looking like Static Group in Virtual Directory

 new grouping mechanism called virtual static groups. A virtual static group appears and behaves like a static group to external clients, except that each member is represented by a virtual attribute that defines its membership on the fly from another dynamic group. Virtual static groups provide an efficient way to manage large numbers of entries and scalability issues for clients that only support static groups.',
          'created' => '2008-08-12 16:37:07.0',
          'type' => '2'
        };


=========================================================

Note You need to log in before you can comment on or make changes to this bug.